cURL
curl --request GET \
--url https://riona.ai/api/1.1/wf/tiktok-user-account \
--header 'Authorization: Bearer <token>'import requests
url = "https://riona.ai/api/1.1/wf/tiktok-user-account"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://riona.ai/api/1.1/wf/tiktok-user-account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": {
"code": 200,
"message": "OK"
},
"profile": {
"masterID": "1755759750674x102819936816206610",
"userID": "127905465618821121",
"username": "khaby.lame",
"secUid": "MS4wLjABAAAAwAg0rSzO65WQfz4RzQgGv2Xdv108BgPXhRrrmNVIHQZ9PO8-flwwRtEppYTS0OjA",
"platform": "tiktok",
"url": "https://www.tiktok.com/@khaby.lame",
"name": "Khabane lame",
"image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/TT:127905465618821121?time=1755747925",
"description": "Se vuoi ridere sei nel posto giusto😎 If u wanna laugh u r in the right place😎",
"country": "",
"countryCode": "",
"city": "",
"type": "influencer",
"gender": "m",
"age": "30_35",
"communityStatus": "DONE",
"isBlocked": false,
"isClosed": false,
"verified": true
},
"stats": {
"followersCount": 161600000,
"avgLikes": 271225,
"avgComments": 5930,
"avgER": 0.0553380943716288,
"avgInteractions": 281935,
"avgViews": 5300000,
"ratingIndex": 161600000.833207,
"qualityScore": 0.518415823699422
},
"lastUpdatedISO": "2025-08-21T07:02:27.680Z",
"lastUpdated": "21-08-2025"
}
Profile & Videos
User Details🔑
Get TikTok user details
GET
/
wf
/
tiktok-user-account
cURL
This endpoint returns the masterID, a unique identifier for each social account we track. It is required for other endpoints, so be sure to store it in your database for reuse.
{
"status": {
"code": 200,
"message": "OK"
},
"profile": {
"masterID": "1755759750674x102819936816206610",
"userID": "127905465618821121",
"username": "khaby.lame",
"secUid": "MS4wLjABAAAAwAg0rSzO65WQfz4RzQgGv2Xdv108BgPXhRrrmNVIHQZ9PO8-flwwRtEppYTS0OjA",
"platform": "tiktok",
"url": "https://www.tiktok.com/@khaby.lame",
"name": "Khabane lame",
"image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/TT:127905465618821121?time=1755747925",
"description": "Se vuoi ridere sei nel posto giusto😎 If u wanna laugh u r in the right place😎",
"country": "",
"countryCode": "",
"city": "",
"type": "influencer",
"gender": "m",
"age": "30_35",
"communityStatus": "DONE",
"isBlocked": false,
"isClosed": false,
"verified": true
},
"stats": {
"followersCount": 161600000,
"avgLikes": 271225,
"avgComments": 5930,
"avgER": 0.0553380943716288,
"avgInteractions": 281935,
"avgViews": 5300000,
"ratingIndex": 161600000.833207,
"qualityScore": 0.518415823699422
},
"lastUpdatedISO": "2025-08-21T07:02:27.680Z",
"lastUpdated": "21-08-2025"
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Profile url. Example: https://www.tiktok.com/@khaby.lame
This is your account API Key. You can easily locate it in your account dashboard.
Response
200
OK
⌘I